This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474130 - Printing with Brother drivers causes misalignment
Printing with Brother drivers causes misalignment
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 06:34 EST by James Kay
Modified: 2008-12-09 12:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 12:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kay 2008-12-02 06:34:16 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111922 GranParadiso/3.0.4

When printing with Brother drivers (MFC620CNlpr.i386 1.0.2-1, cupswrapperMFC620CN.i386 1.0.0-1, via cups over the network with LDP) to an MFC-620CN, the alignment is mangled horribly.  Printing out a blank page with a single 0.5mm border from OpenOffice.org Writer (3.0.0-9.10.fc10) yields blank space around the edges of 17mm to the left 24mm to the right, 37mm to the top, and something negative to the bottom (runs to the bottom of the page and then gets cut off).  Have very carefully set the paper size to A4, including using the Brother configuration tool, which caused it to move into its current position, but didn't fix it.

Reproducible: Always

Steps to Reproduce:
1. Install Brother drivers and set up a printer in CUPS to print to it over the network.
2. Print a page.
Actual Results:  
Page prints misaligned, with a very uneven margin, even when margins are all set to zero.

Expected Results:  
Page prints with an even margin, of the dimensions provided.
Comment 1 Tim Waugh 2008-12-08 12:06:05 EST
Isn't this a bug in the Brother drivers?  Is foomatic really involved?
Comment 2 James Kay 2008-12-09 11:12:54 EST
Pass.  I asked in the IRC channel about reäligning it, and was told that I should file a bug against foomatic.  Maybe it should be compensated for?
Comment 3 Tim Waugh 2008-12-09 12:20:18 EST
No.  It's nothing to do with foomatic, just the Brother drivers.  Nothing we can do about that I'm afraid.

Note You need to log in before you can comment on or make changes to this bug.